|  | Home | Documentation | wsc__SecurityContextTokenType Struct Reference updated Fri Jun 12 2020 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wsc__SecurityContextTokenType Struct Reference

"http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":SecurityContextTokenType is a complexType. More...

`#include <wsc.h>`

## Public Attributes
char * | wsu__Id
char * | Identifier
char * | Instance
| Member declared in WS/WS-typemap.dat. More...

## Detailed Description

"http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":SecurityContextTokenType is a complexType.

      Actual content model is non-deterministic, hence wildcard. The following shows intended content model:
      <xs:element ref='wsc:Identifier' minOccurs='1' />
      <xs:element ref='wsc:Instance' minOccurs='0' />
      <xs:any namespace='##any' processContents='lax' minOccurs='0' maxOccurs='unbounded' />

## Member Data Documentation

char* wsc__SecurityContextTokenType::Identifier

Todo:

  <anyAttribute namespace="##other">.

  Schema extensibility is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -x to remove this attribute. Use wsdl2h option -d for xsd__anyAttribute DOM (soap_dom_attribute). Member declared in WS/WS-typemap.dat

char* wsc__SecurityContextTokenType::Instance

Member declared in WS/WS-typemap.dat.

char* wsc__SecurityContextTokenType::wsu__Id

Todo:

  <any namespace="##any" minoccurs="0" maxoccurs="unbounded">

  Schema extensibility is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -x to remove this element. Use wsdl2h option -d for xsd__anyType DOM (soap_dom_element). Imported attribute reference "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd":Id.

Optional attribute.

The documentation for this struct was generated from the following file:

- wsc.h